--- ./debian/rules.orig	2016-10-20 14:27:34.000000000 +0000
+++ ./debian/rules	2016-10-20 14:58:43.000000000 +0000
@@ -11,11 +11,18 @@
 CFLAGS += $(CPPFLAGS)
 CXXFLAGS += $(CPPFLAGS)
 
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
+# libatomic provides 8-bytes atomic operation for 32-bit MIPS
+ifneq (,$(filter $(DEB_HOST_ARCH), mips mipsel))
+ EXTRA_LIBS="-DEXTRA_LIBS_ACNG=-latomic"
+endif
+
 %:
 	dh $@ --parallel --with systemd
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DSDINSTALL=on
+	dh_auto_configure -- -DSDINSTALL=on $(EXTRA_LIBS)
 
 # needs extra build deps and internet -> ignore
 override_dh_auto_test:
